クラスタデバイスの起動

必須条件
-
Authenticate - OAuth2認証のためのユーザー認証情報、クライアントID、クライアントシークレットを送信します。OAuth APIを呼び出して認証情報を検証および認証する方法については、API Authenticationを参照してください。
-
Get Device Typesを呼び出して、NEプラットフォームで起動するクラスタデバイス(ルーターやファイアウォールなど)を調べます。仮想デバイスが利用可能なメトロリージョン、デバイスのベンダー、利用可能なコア数、ソフトウェアパッケージとそのバージョンを知ることができます。deviceTypeCode
、metroCode、core、packageCode、version` を選択します。 -
Get Allowed Interfacesを呼び出して、選択したコアの許容インターフェース数を調べます。sshInterfaceId として、使用可能な任意のデバイスインタフェースを選択できます。 それ以外の場合、エクイニクスは最初に利用可能なインターフェースを選択します。
-
Get Accounts {metro}を呼び出して、仮想デバイスが必要なメトロの
アカウント番号(またはacountReferenceId)とステータスを確認します。課金の都合上、仮想デバイスが必要なメトロに、Active または Pending 状態のアカウントが必要です。アカウントがない場合は、[アカウント を作成してください。リセラー 顧客のためにデバイスを作成しようとしている場合、顧客とあなた(リセラー)のアカウントの両方がアクティブまたは保留状態であることを確認する必要があります。あなたのアカウントは課金されますが、顧客用のデバイスを作成するには、顧客のアカウント番号を POST API に送信する必要があります。
ライセンスオプション
現在のところ、クラスタにはBYOL(ライセンス持ち込み)オプションしか提供していません。
-
Juniper Cluster - Juniper Clusterのライセンスファイルをアップロードする必要はありません。ただし、2 つのライセンス・ファイルをアップロードすることはできます。2つのライセンス・ファイルをアップロードするには、Post License File を2回呼び出します。クラスタの作成に使用できるライセンス ファイル ID がレスポンスで返されます。
-
Palo Alto Cluster - ベンダーから 2 つのライセンス トークンをアップロードする必要があります。ライセンス トークンは同じでも異なっていてもかまいません。
-
Fortinet Cluster - トークンやライセンスを入力する必要はありません。ライセンスファイルをアップロードする場合は、2つの異なるライセンスファイルをアップロードする必要があります。2つのライセンスファイルをアップロードするには、Post License File を2回呼び出します。クラスタの作成に使用できるライセンス ファイル ID がレスポンスで返されます。
-
Arista VeloCloud SD-WAN Edge Cluster ライセンス・ファイルやトークンをアップロードする必要はありません。ただし、アクティベーション・キーは必要です。デバイスの作成後にライセンスの登録に失敗した場合は、デバイスにログインしてライセンスをアップロードする必要があります。その後、Update Virtual Device をステータス値
PROVISIONEDで呼び出します。
クラスターデバイスの作成
| POST /ne/v1/devices | |
|---|---|
| Method | POST |
| URL or End Point | /ne/v1/devices |
| Headers | Authorization token, Content-Type |
| Query Parameters | draft, draftUuid |
注:仮想デバイスを作成することで、注文規約に同意したことになります。詳細を確認するには、Get Order Terms を呼び出してください。
デバイスドラフトを保存するには、deviceTypeCode、accountNumberまたはaccountReferenceId、metroCodeを提供する必要があります。
vSRX クラスタを作成するためのサンプル curl リクエスト:
curl -X
POST "https://api.equinix.com/ne/v1/devices?draft=false"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '
{
"deviceTypeCode": "VSRX",
"clusterDetails": {
"clusterName": "sroy-juniper",
"clusterNodeDetails": {
"node0": {
"vendorConfig": {
"hostname": "sr012"
},
"licenseFileId": "1274fe9f-511c-436f-bc0c-14c876ec55da"
},
"node1": {
"vendorConfig": {
"hostname": "sr123"
},
"licenseFileId": "65a9be3f-57fb-4c4d-a15b-40950951bc13"
}
}
},
"metroCode": "SV",
"termLength": "1",
"licenseMode": "BYOL",
"packageCode": "STD",
"virtualDeviceName": "Test-device-001-SROY",
"notifications": [
"test@equinix.com"
],
"hostname": "sr012",
"aclDetails": [
{
"uuid": "fb2e69bb-cbd7-40c4-bc01-8bcc5fa741c2",
"interfaceType": "WAN"
}
],
"accountNumber": "201148",
"version": "18.4R3-S2",
"interfaceCount": 8,
"agreeOrderTerms": true,
"deviceManagementType": "SELF-CONFIGURED",
"core": 5,
"userPublicKey": {
"username": "sroy",
"keyName": "keyLlhzL"
},
"additionalBandwidth": "100"
}
'
Arista Velocloud SDWAN クラスタを作成するためのサンプル curl リクエスト:
curl -X
POST "https://api.equinix.com/ne/v1/devices?draft=false"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '
{
"metroCode": "SY",
"deviceTypeCode": "VELOCLOUD-SDWAN",
"termLength": "1",
"clusterDetails": {
"clusterName": "sroy-velo-cluster",
"vendorConfig": {
"node0": {
"activationKey": "GJUK-JM2X-59BJ-SAMPLE",
"controllerFqdn": "demo.velocloud.net",
"rootPassword": "TestPassword!"
},
"node1": {
"rootPassword": "TestPassword#"
}
}
},
"licenseMode": "BYOL",
"packageCode": "VeloCloud-4",
"virtualDeviceName": "velo-cluster",
"notifications": [
"test@equinix.com"
],
"aclDetails": [
{
"uuid": "fb2e69bb-cbd7-40c4-bc01-8bcc5fa741c2",
"interfaceType": "WAN"
}
],
"accountNumber": "2393479",
"version": "3.4.2",
"interfaceCount": 8,
"deviceManagementType": "SELF-CONFIGURED",
"agreeOrderTerms": true,
"core": 4,
"userPublicKey": {
"username": "sroy",
"keyName": "key7YFfL"
},
"additionalBandwidth": "200"
}
'
Internet AccessのないPANWクラスタを作成するためのcurlリクエストのサンプル:
curl -X
POST "https://api.equinix.com/ne/v1/devices?draft=false"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '
{
"deviceTypeCode": "PA-VM",
"clusterDetails": {
"clusterName": "NEAut-",
"clusterNodeDetails": {
"node0": {
"vendorConfig": {
"hostname": "PANCluster"
}
},
"node1": {
"vendorConfig": {
"hostname": "PANCluster"
}
}
}
},
"metroCode": "#(supportedMetro)",
"zoneCode": "Zone1",
"termLength": "1",
"licenseMode": "BYOL",
"packageCode": "VM100",
"virtualDeviceName": "NEAut-",
"notifications": [
"t@t.com"
],
"version": "10.1.3",
"interfaceCount": 10,
"deviceManagementType": "SELF-CONFIGURED",
"core": 2,
"connectivity": "PRIVATE"
}
'
パラメータとオプションの完全なリストについては、API リファレンス を参照してください。
回答例
応答例 202:リクエストを受け付けました。
{
"uuid": "34b7838c-ec82-4166-ac19-efa03b4e34fe",
"deviceIds": {
"node0": "34b7838c-ec82-4166-ac19-efa03b4e34fe",
"node1": "f27f1475-3c7f-447f-b0db-e3bb3af3de16"
},
"clusterId": "27eea9aa-327b-431b-bf62-3cee4d880f2e"
}
デバイスステータス
クラスタが作成されると、自己構成されたクラスタはエクイニクスのインフラストラクチャ内でさまざまな状態に移行します。これらの状態は、Get Virtual Device {uuid}メソッドのレスポンス属性「status」を使用して監視できます。このクラスタを使用してクラウドサービスプロバイダに接続する前に、クラスタをプロビジョニングし、ライセンスを登録する必要があります。
| Virtual device states | Description |
|---|---|
INITIALIZING | Equinix is in the process of reserving resources and creating the device. |
PENDING_ACCOUNT | Customer's account is not approved. The device creation will continue once the account gets approved. |
PROVISIONING | The device is booting. |
PENDING_ORDER | This status only applies to orders coming to NE from Siebel. Customers need to log in to the Network Edge portal and submit the pending order. |
PENDING_SIGNATURE | The customer has not yet accepted Network Edge terms. |
CANCEL_ORDER | The order from Siebel to NE is canceled. This status only applies to orders coming to Network Edge from Siebel. |
WAITING_FOR_PRIMARY | The secondary device is ready but the primary is not. This state may appear if you have requested a redundant device. |
WAITING_FOR_SECONDARY | The primary device is ready but the secondary is not. This state may appear if you have requested a redundant device. |
FAILED | The device creation failed. |
PROVISIONED | The device is ready. |
DEPROVISIONING | Equinix accepted the customer's request to delete the virtual device. |
DEPROVISIONED | The device is de-provisioned/deleted. |

エンドユーザーが仮想デバイスの削除 APIを使用してデバイスを削除すると、エクイニクスインフラストラクチャ内でデバイスは次の状態に遷移します。
| status | Description |
|---|---|
DEPROVISIONING | Equinix accepted the customer's request to delete the virtual device. |
DEPROVISIONED | The device is de-provisioned/deleted. |